Updates a PSC Discrepancy Report on the system
PUT https://api.company-information.service.gov.uk/psc-discrepancy-reports/{discrepancy-report-id}
| Parameter name |
Value |
Description |
Additional |
| discrepancy-report-id |
string |
ID of PSC Discrepancy Report
|
Required |
The request body takes a complete
DiscrepancyReportPut resource, containing the following writable properties:
{
"company_number": "string",
"material_discrepancies": [
"string"
],
"obliged_entity_contact_name": "string",
"obliged_entity_email": "string",
"obliged_entity_organisation_name": "string",
"obliged_entity_type": "string",
"status": "string"
}
| Name |
Type |
Description |
Additional |
|
company_number
|
string |
|
|
|
material_discrepancies[]
|
array of string |
Possible values are:
appears-to-conceal-details
money-laundering
terrorist-financing
|
|
|
obliged_entity_contact_name
|
string |
|
|
|
obliged_entity_email
|
string |
|
|
|
obliged_entity_organisation_name
|
string |
|
|
|
obliged_entity_type
|
string |
Possible values are:
credit-institution
financial-institution
auditor-external-accountant-or-tax-advisor
notary-or-independent-legal-professional
trust-or-company-service-provider
estate-agent-or-intermediary
entity-trading-goods-in-cash-over-ten-thousand-euros
gambling-service-provider
exchange-service-provider-of-fiat-and-virtual-currencies
custodian-wallet-provider
art-dealer-galleries-and-auction-houses
art-dealer-free-ports
insolvency-practictioner
|
|
|
status
|
string |
Possible values are:
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/psc-discrepancy-reports.write-full |
Grants full PSC Discrepancy report access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 200 |
OK PSC Discrepancy report updated
|
DiscrepancyReportResponse |
| 400 |
Bad Request The body has errors. The correct error is displayed if a single element is omitted from the call but if multiple elements are left out not all errors are displayed. Eg if only the status is added to the body of a /psc-discrepancy-reports POST the only error that fires is for the obliged-entity type and not the other 4 fields that are missing.
|
Error |
| 401 |
Unauthorized User is not authorised to update report
|
Unauthorised Error |
| 403 |
Forbidden Forbidden PSC Report already completed
|
|
| 404 |
Not Found No discrepancy report found with the discrepancy-report-id
|
|
| 500 |
Internal Server Error Internal Server Error
|
|